package com.dgtis.dorm.manager.db.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.Date;

/**
 * 咨询投诉表 zhll_consulting_complaints
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
public class ZhllConsultingComplaints
{
	private static final long serialVersionUID = 1L;
	
	/** 主键 */
	private String id;
	/** 类别(1投诉，2咨询) */
	private String type;
	/** 小程序用户id */
	private String userId;
	/** 部门id */
	private String deptUnid;
	/** 部门名称 */
	private String deptName;
	/**咨询人姓名*/
	private String consultantName;
	/**咨询人电话*/
	private String consultantPhone;
	/** 咨询事务明名称*/
	private String serviceName;
	/** 事项id */
	private String serviceUnid;
	/** 标题 */
	private String title;
	/** 内容 */
	private String content;
	/** 回复 */
	private String answer;
	/** 是否回复(0.未回复  1.已回复) */
	private String isAnswer;
	/** 添加时间 */
	private String addTime;
	/** 添加人 */
	private String addUser;
	/** 修改时间 */
	private String modifyTime;
	/** 修改人 */
	private String modifyUser;
	/** 删除标记(0 正常1 删除) */
	private String delFlag;

	public String getConsultantName() {
		return consultantName;
	}

	public void setConsultantName(String consultantName) {
		this.consultantName = consultantName;
	}

	public String getConsultantPhone() {
		return consultantPhone;
	}

	public void setConsultantPhone(String consultantPhone) {
		this.consultantPhone = consultantPhone;
	}



	public String getDeptUnid() {
		return deptUnid;
	}

	public void setDeptUnid(String deptUnid) {
		this.deptUnid = deptUnid;
	}

	public String getServiceUnid() {
		return serviceUnid;
	}

	public void setServiceUnid(String serviceUnid) {
		this.serviceUnid = serviceUnid;
	}


	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public void setId(String id) 
	{
		this.id = id;
	}

	public String getId() 
	{
		return id;
	}
	public void setType(String type) 
	{
		this.type = type;
	}

	public String getType() 
	{
		return type;
	}
	public void setUserId(String userId) 
	{
		this.userId = userId;
	}

	public String getUserId() 
	{
		return userId;
	}
	public void setTitle(String title) 
	{
		this.title = title;
	}

	public String getTitle() 
	{
		return title;
	}
	public void setContent(String content) 
	{
		this.content = content;
	}

	public String getContent() 
	{
		return content;
	}
	public void setAnswer(String answer) 
	{
		this.answer = answer;
	}

	public String getAnswer() 
	{
		return answer;
	}
	public void setIsAnswer(String isAnswer) 
	{
		this.isAnswer = isAnswer;
	}

	public String getIsAnswer() 
	{
		return isAnswer;
	}
	public void setAddTime(String addTime)
	{
		this.addTime = addTime;
	}

	public String getAddTime()
	{
		return addTime;
	}
	public void setAddUser(String addUser) 
	{
		this.addUser = addUser;
	}

	public String getAddUser() 
	{
		return addUser;
	}
	public void setModifyTime(String modifyTime)
	{
		this.modifyTime = modifyTime;
	}

	public String getModifyTime()
	{
		return modifyTime;
	}
	public void setModifyUser(String modifyUser) 
	{
		this.modifyUser = modifyUser;
	}

	public String getModifyUser() 
	{
		return modifyUser;
	}
	public void setDelFlag(String delFlag) 
	{
		this.delFlag = delFlag;
	}

	public String getDelFlag() 
	{
		return delFlag;
	}

    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("userId", getUserId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("answer", getAnswer())
            .append("isAnswer", getIsAnswer())
            .append("addTime", getAddTime())
            .append("addUser", getAddUser())
            .append("modifyTime", getModifyTime())
            .append("modifyUser", getModifyUser())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
